/**
* Signups Closed
 */
 
 @keyframes transitionForm {
    0%{
        width: 0;
        overflow: hidden;
    }
    10%{
        width: 10%;
        overflow: hidden;
    }
    20%{
        width: 20%;
        overflow: hidden;
    }
    30%{
        width: 30%;
        overflow: hidden;
    }
    40%{
        width: 40%;
        overflow: hidden;
    }
    50%{
        width: 50%;
        overflow: hidden;
    }
    60%{
        width: 60%;
        overflow: hidden;
    }
    70%{
        width: 70%;
        overflow: hidden;
    }
    80%{
        width: 80%;
        overflow: hidden;
    }
    90%{
        width: 90%;
        overflow: hidden;
    }
    100%{
        width: 100%;
        overflow: hidden;
    }
}

@keyframes transitionFormContent {
    from{
        opacity: 0;
        transform: rotateX(-10deg);
    }
    to{
        opacity: 1;
        transform: rotateX(0);
    }
}

.hidden {
    display: none !important;
}

.signups-closed-main{
    width: 100%;
    max-width: 600px;
    min-width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    margin: auto;
    padding: 50px 3%;
}

.signups-closed-main > h1{
    color: #ddd;
    font-size: 1.5rem;
}

.signups-closed-main > h2{
    color: #ddd;
    font-size: 1.2rem;
}

.signups-closed-main > h2 a{
    color: brown;
}

.signups-closed-main > p{
    color: #eee;
    line-height: 1.5em;
}

#sign-form{
    animation: transitionForm .2s;
    background: rgba(0, 0, 0, .2);
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    margin: 1em 0;
    padding: 3%;
    border-left: 2px solid #eee;
    border-right: 2px solid #eee;
    border-radius: 10px;
}

#sign-form h3{
    width: 100%;
    color: #ddd;
    text-align: center;
    padding: .5em 0;
}

#sign-form input{
    animation: transitionFormContent .4s;
    flex-grow: 1;
    background: transparent;
    width: 100%;
    color: #ddd;
    padding: 1.2em;
    margin: 5px 0;
    border: none;
    border-bottom: 1px solid #bbb;
    border-radius: 0 0 5px 5px;
}

.signups-closed-main .tel-input{
    display: flex;
    font-size: .9rem;
    position: relative;
}

.signups-closed-main .tel-input span{
    color: #fff;
    position: absolute;
    padding: 1.2em;
}

.signups-closed-main .tel-input input{
    padding-left: 4em !important;
}

#sign-form label{
    background-color: hsl(0, 30%, 4%); /* matches the background colour of the body*/
    width: fit-content;
    color: #eee;
    display: inline-block;
    font-size: .8rem;
    position: relative;
    top: -1em;
    left: 1em;
    padding: 0 .5em;
}

#sign-form .btn-v1 {
    animation: transitionFormContent .4s;
    display: block;
    min-width: fit-content;
    font-size: 1rem;
    margin: 10px auto;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}

#sign-form .btn-v1 span {padding: .5em 1em;}

/**
* Signups Open
 */

@keyframes transitionMain {
    0%{
        height: 0;
        overflow: hidden;
    }
    10%{
        height: 6.67%;
        overflow: hidden;
    }
    20%{
        height: 13.34%;
        overflow: hidden;
    }
    30%{
        height: 20.01%;
        overflow: hidden;
    }
    40%{
        height: 26.68%;
        overflow: hidden;
    }
    50%{
        height: 33.35%;
        overflow: hidden;
    }
    60%{
        height: 40.02%;
        overflow: hidden;
    }
    70%{
        height: 46.69%;
        overflow: hidden;
    }
    80%{
        height: 53.35%;
        overflow: hidden;
    }
    90%{
        height: 60.03%;
        overflow: hidden;
    }
    100%{
        height: fit-content;
        overflow: hidden;
    }
}

@keyframes transitionMainContent {
    from{
        opacity: 0;
        transform: rotateX(-10deg);
    }
    to{
        opacity: 1;
        transform: rotateX(0);
    }
}

.signups-open-main {
    animation: transitionMain .2s;
    background: rgba(0, 0, 0, .2);
    width: 90%;
    max-width: 450px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 10vh auto;
    padding: 3%;
    border-top: 2px solid #eee;
    border-bottom: 2px solid #eee;
    border-radius: 10px;
}

.signups-open-main .logo-link{
    animation: transitionMainContent .4s;
    width: 70%;
    display: inline-block;
}

.signups-open-main .logo-link img{
    width: 100%;
    display: inline-block;
}

.signups-open-main h1{
    animation: transitionMainContent .4s;
    color: #eee;
    font-size: 1.5rem;
    padding: .3em 0;
}

.signups-open-main p{
    animation: transitionMainContent .4s;
    color: #fff;
    font-size: .9rem;
    line-height: 1.5em;
}

.signups-open-main > p a{
    animation: transitionMainContent .4s;
    color: brown;
    text-decoration: none;
}

.signups-open-main > p a:hover{
    color: #eee;
    text-decoration: underline;
}

.signups-open-main form{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
}

.signups-open-main form h2{
    animation: transitionMainContent .4s;
    color: #eee;
    font-size: 1.2rem;
    padding: .3em 0;
}

.signups-open-main form input{
    animation: transitionMainContent .4s;
    background: transparent;
    width: 100%;
    color: #ddd;
    padding: 1.2em;
    margin: .5em 0;
    border: none;
    border-bottom: 1px solid #bbb;
    border-radius: 0 0 5px 5px;
}

.signups-open-main form label{
    background-color: hsl(0, 30%, 4%); /* matches the background colour of the body*/
    width: fit-content;
    color: #eee;
    display: inline-block;
    font-size: .8rem;
    position: relative;
    top: -1em;
    left: 1em;
    padding: .1em .5em;
}

.signups-open-main form p{
    animation: transitionMainContent .4s;
    font-size: .8rem;
    color: #fff;
    line-height: 1.5em;
}

.signups-open-main form button{
    animation: transitionMainContent .4s;
    background: url('../img/bg.png');
    background-size: cover;
    width: 30%;
    color: #fff;
    font-size: 1rem;
    display: block;
    border: none;
    border-radius: 3px;
    margin: 1em auto;
    padding: 0.6em 1em;
}

.signups-open-main form button:hover{
    background: rgb(0, 14, 0);
    cursor: pointer;
}

.signups-open-main .tel-input{
    width: 100%;
    display: flex;
    color: #ddd;
    font-size: .9rem;
    position: relative;
}

.signups-open-main .tel-input span{
    position: absolute;
    top: 1.5em;
    padding: 0 1.2em;
}

.signups-open-main .tel-input input{
    padding-left: 4em !important;
}